package com.tomas.ht_mast;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.TextView;

import com.tomas.ht_mast.lib.ActionType;
import com.tomas.ht_mast.lib.KeyMapping;
import com.tomas.ht_mast.lib.Settings;

public class LabelManualMenu_Activity extends AppCompatActivity implements View.OnClickListener {

    TextView txt_user, txt_device;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_label_manual_menu);

        txt_user = (TextView) findViewById(R.id.txt_user);
        txt_user.setText("User : "+ Settings.getLoginUser().getName());

        txt_device = (TextView) findViewById(R.id.txt_device);
        txt_device.setText("Device : "+Settings.getDeviceNo());
    }

    @Override
    public void onClick(View view) {
        Intent intent;
        switch (view.getId()) {
            case R.id.imb_back:
                finish();
                break;

            case R.id.btn_label_manual:
                Settings.setActionType(String.valueOf(ActionType.Type.LABEL_MANUAL));
                intent = new Intent(LabelManualMenu_Activity.this, LabelDetail_Activity.class);
                startActivity(intent);
                break;

            case R.id.btn_relabeling:
                Settings.setActionType(String.valueOf(ActionType.Type.RELABELING));
                intent = new Intent(LabelManualMenu_Activity.this, LabelDetail_Activity.class);
                startActivity(intent);
                break;

            case R.id.btn_reprint_label:
                Settings.setActionType(String.valueOf(ActionType.Type.REPRINT_LABEL));
                intent = new Intent(LabelManualMenu_Activity.this, RePrintLabel_Activity.class);
                startActivity(intent);
                break;
        }

    }

    @Override
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        if (keyCode >= KeyMapping.P1.getId()
                && keyCode <= KeyMapping.P4.getId()) {
            switch (KeyMapping.fromId(keyCode)) {
                case P1:
                    finish();
                    break;
            }
        }

        return super.onKeyUp(keyCode, event);
    }
}